Author Topic: installing magic lantern of canon 550d/2ti  (Read 479 times)

Paulmc

  • New to the forum
  • *
  • Posts: 4
installing magic lantern of canon 550d/2ti
« on: December 05, 2021, 09:01:06 PM »
Hi all, this is my first post. I have updated my camera's firmware to version 1.1.0 for the canon 550d/2ti.
My question is: where can I download the version of magic lantern that will work with this latest firmware update?
Thank you.

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8260
Re: installing magic lantern of canon 550d/2ti
« Reply #1 on: December 05, 2021, 10:50:45 PM »
You should install Canon firmware 1.0.9.

Paulmc

  • New to the forum
  • *
  • Posts: 4
Re: installing magic lantern of canon 550d/2ti
« Reply #2 on: December 06, 2021, 11:39:15 AM »
Hi, the firmware you mentioned was originally on my camera, but I have upgraded to the latest version: 1.1.0
Are you saying there will be no further magic lantern tweaks which will allow magic lantern to be installed on the latest firmware upgrade for the 550d?
If so, is it possible to take my firmware installed on my camera back to the older version you mention?
Thanks.

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8260
Re: installing magic lantern of canon 550d/2ti
« Reply #3 on: December 06, 2021, 12:16:50 PM »
There is a custom buld version for 1.1.0 made by dfort. No official release, no support: https://web.archive.org/web/20200622002229/https://bitbucket.org/daniel_fort/magic-lantern/downloads/magiclantern-Nightly.2018Jul04.550D110.zip

It is recommended to use firmware 1.0.9 with an official build like lua_fix build (experimental build page). Installation instructions for nightly builds https://builds.magiclantern.fm apply.

https://wiki.magiclantern.fm/glossary#firmware_update_upgrade_downgrade

Paulmc

  • New to the forum
  • *
  • Posts: 4
Re: installing magic lantern of canon 550d/2ti
« Reply #4 on: December 09, 2021, 12:11:50 PM »
Tried the above link for ML fort build which will work on firmware version 1.1.0
The redirect takes me to a build version not of Fort's making.
Anyone have a copy of the ML version which will work on firmware 1.1.0 NOT older firmware?
Many thanks
Paul

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8260
Re: installing magic lantern of canon 550d/2ti
« Reply #5 on: December 09, 2021, 12:28:00 PM »
The redirect takes me to a build version not of Fort's making.

Nonsense. Please check how archive.org works.

Paulmc

  • New to the forum
  • *
  • Posts: 4
Re: installing magic lantern of canon 550d/2ti
« Reply #6 on: December 11, 2021, 02:11:04 PM »
Now running ML on 1.1.0
Many thanks for your help.
It is much appreciated.